Skip site navigation (1) Skip section navigation (2)

Re: Upgrading our minimum required flex version for 8.5

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: Andrew Dunstan <andrew(at)dunslane(dot)net>
Cc: pgsql-hackers(at)postgreSQL(dot)org
Subject: Re: Upgrading our minimum required flex version for 8.5
Date: 2009-07-02 15:04:26
Message-ID: 29064.1246547066@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-hackers
Andrew Dunstan <andrew(at)dunslane(dot)net> writes:
> I think it would need to be benchmarked. My faint recollection is that 
> the re-entrant lexers are slower.

The flex documentation states in so many words:

	The option `--reentrant' does not affect the performance of the scanner.

Do you feel a need to verify their claim?

			regards, tom lane

In response to

Responses

pgsql-hackers by date

Next:From: Dickson S. GuedesDate: 2009-07-02 15:05:04
Subject: Re: First CommitFest: July 15th
Previous:From: Kevin GrittnerDate: 2009-07-02 15:01:37
Subject: Re: Upgrading our minimum required flex version for 8.5

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group